import request from '@/utils/request';
// 删除自定义字段
// export function deletePut(dataDictionaryId) {
//   return request({
//     url: '/admin/dataDictionary/delete',
//     method: 'get',
//     params: { dataDictionaryId }
//   })
// }
// 入库
export function add(data) {
  return request({
    url: '/admin/product/add',
    method: 'post',
    data
  });
}
// 出库
export function out(data) {
  return request({
    url: '/admin/productOut/out',
    method: 'post',
    data
  });
}

// 入库记录列表分页
export function getPageListForLog(data) {
  return request({
    url: '/admin/product/getPageListForLog',
    method: 'post',
    data
  });
}
// 入库记录列表分页
export function getProductLogModelList(productLogId) {
  return request({
    url: '/admin/product/getProductLogModelList',
    method: 'get',
    params: {
      productLogId
    }
  });
}

// 查看详情
export function getDetail(data) {
  return request({
    url: '/admin/product/getDetail',
    method: 'post',
    data
  });
}
// 库存列表分页
export function getPageList(data) {
  return request({
    url: '/admin/product/getPageList',
    method: 'post',
    data
  });
}
// 修改
// export function update(data) {
//   return request({
//     url: '/admin/product/update',
//     method: 'post',
//     data
//   })
// }
// 出库列表分页
export function getOutboundPageList(data) {
  return request({
    url: '/admin/productOut/getPageList',
    method: 'post',
    data
  });
}
// 批量入库Excel
export function addExcel(data) {
  return request({
    url: '/admin/product/addExcel',
    method: 'post',
    data
  });
}
// 查看型号是否存在
export function getProductBySn(params) {
  return request({
    url: '/admin/product/getProductBySn',
    method: 'get',
    params
  });
}
// 查看型号是否可以出库
export function getproductOutBySn(params) {
  return request({
    url: '/admin/productOut/getProductBySn',
    method: 'get',
    params
  });
}

// 通过出库记录Id获取设备列表
export function getProductLessVOByProductOutId(params) {
  return request({
    url: '/admin/productOut/getProductLessVOByProductOutId',
    method: 'get',
    params
  });
}
// 库存管理列表分页(一级)
export function productOne(data) {
  return request({
    url: '/admin/productManage/getPageList',
    method: 'post',
    data
  });
}
// 库存管理列表分页(二级)
export function productTwo(data) {
  return request({
    url: '/admin/productManage/getPageListTwo',
    method: 'post',
    data
  });
}
// 库存管理列表分页(三级)
export function getPageListThree(data) {
  return request({
    url: '/admin/productManage/getPageListThree',
    method: 'post',
    data
  });
}

// 出库列表分页(后台)
export function getPageListBehind(data) {
  return request({
    url: '/admin/productOut/getPageListBehind',
    method: 'post',
    data
  });
}
// 出库列表导出(Excel)
export function getPageListExcel(data) {
  return request({
    url: '/admin/productOut/getPageListExcel',
    method: 'post',
    data
  });
}
// 删除库存
export function deleteProductById(id) {
  return request({
    url: '/admin/product/deleteProductById',
    method: 'get',
    params: { id }
  });
}
